// black
$black-a4: rgba(0, 0, 0, 0.04);
$black-a12: rgba(0, 0, 0, 0.12);
$black-a20: rgba(0, 0, 0, 0.2);
$black-a24: rgba(0, 0, 0, 0.24);
$black-a40: rgba(0, 0, 0, 0.4);
$black-a50: rgba(0, 0, 0, 0.5);
$black-a60: rgba(0, 0, 0, 0.6);

// white
$white-a80: rgba(255, 255, 255, 0.8);
$white-a60: rgba(255, 255, 255, 0.6);
$white-a40: rgba(255, 255, 255, 0.4);
$white-a24: rgba(255, 255, 255, 0.24);
$white-a12: rgba(255, 255, 255, 0.12);

$slate: #302f2b;
$gray-light: #e5e5e5;

// Primary Colors Shades
$blue-050: #f3f8fb;
$blue-100: #edf4fb;
$blue-300: #b7d9e6;
$blue-800: #0d6080;

$green-050: #f3fbf9;
$green-100: #e6f8f3;
$green-300: #b5eadb;
$green-800: #078a67;

$red-050: #fcf4f4;
$red-100: #f8e9e9;
$red-200: #f3d3d4;
$red-300: #ecbdbe;
$red-800: #911a1d;

$yellow-050: #fffbf5;
$yellow-100: #fef8eb;
$yellow-200: #fef1d8;
$yellow-300: #feeaba;
$yellow-800: #bc8c12;

$cyan-050: #f5fbfe;
$cyan-100: #ebf8fd;
$cyan-200: #d8f1fb;
$cyan-300: #c5eaf9;
$cyan-800: #2e8cb1;

$slate-050: #f4f4f4;

// Secondary colors
$indigo: #003a4a;
$pink: #d24887;
$orange: #ef8123;
$umber: #e24b2c;

// Secondary Color Shades
$gray-050: #f7f7f7;
$gray-100: #efefef;
$gray-300: #d8d8d8;
$gray-500: #a3a3a3;
$gray-600: #848484;
$gray-800: #474747;

$gray-light-050: #fdfdfd;
$gray-light-300: #fbfbfb;

$yelow-dark: #302f2b;
// solid secondary
$light-blue: #edf4fb;
$lighter-blue: #98a9bc;
$accent-blue: #3ebbed;
$dark-blue: #003b4b;

// Blue Accent
$accent-blue-a18: '#3ebbed2e';
$accent-blue-a12: '#3ebbed1f';

// NLB
// Primary colors
$violet: #26007d;
$violet-dark: #1e0265;
$violet-darker: #230271;
$violet-darkest: #1a0158;
$violet-lighter: #402480;
$violet-light: #4b3183;

// Secondary colors
$blue: #1a63ab;
$blue-light: #0089c8;
$green: #5da552;
$lime: #a2c037;
$yellow-strong: #c7d300;
$yellow: #f2cd11;

$red-error: #cb511c;
$gray: #757575;

/* ------------------------ */

$neutralsMap: (
  'white': $color-neutral-white,
  //require 'string-wrap' due to namespace collision
    lightest: $color-neutral-lightest,
  lighter: $color-neutral-lighter,
  light: $color-neutral-light,
  'grey': $color-neutral-grey,
  greyer: $color-neutral-greyer,
  greyest: $color-neutral-greyest,
  dark: $color-neutral-dark,
  darker: $color-neutral-darker,
  darkest: $color-neutral-darkest,
  'black': $color-neutral-black,
);

///Context Colors: Primary
$primary: $violet;
///Context Colors: Secondary
$secondary: $color-neutral-greyest;

$primaryMap: (
  lighter: $color-primary-lightest,
  light: $color-primary-lighter,
  default: $color-primary,
  dark: $color-primary-darker,
  darker: $color-primary-darkest,
  //darkest: $violet-darkest
);

$secondaryMap: (
  default: $color-secondary,
  dark: $color-secondary-darker,
  darker: $color-secondary-darkest,
);

$selectedMap: (
  default: $blue-light,
  dark: darken($blue-light, 8%),
  darker: darken($blue-light, 12%),
);

$dangerMap: (
  default: '$color-danger',
  dark: '$color-danger-darker',
  darker: '$color-danger-darkest',
);

$warningMap: (
  default: $color-warning,
  dark: $color-warning-darker,
  darker: $color-warning-darkest,
);
/// Color Palette Map Subgroups: Success
/// @require {variable} green
/// @require {variable} green-dark
/// @require {variable} green-darker
$successMap: (
  default: $color-success,
  dark: $color-success-darker,
  darker: $color-success-darkest,
);
/// Color Palette Map Subgroups: Info
/// @require {variable} blue-info
$infoMap: (
  default: $color-info,
  dark: $color-info-darker,
  darker: $color-info-darkest,
);

$color-palette: (
  actions: (
    primary: $primaryMap,
    secondary: $secondaryMap,
    selected: $selectedMap,
  ),
  support: (
    danger: $dangerMap,
    warning: $warningMap,
    success: $successMap,
    info: $infoMap,
  ),
  neutrals: $neutralsMap,
);

$shadow-gray: rgba(68, 67, 64, 0.1), 0 2px 16px 0 rgba(68, 67, 64, 0.08) !important;
